WiredTiger: WT_EVENT_HANDLER Struct Reference

| Version 3.1.0

Fork me on GitHub Join my user group
List of all members | Public Attributes
WT_EVENT_HANDLER Struct Reference
WiredTiger API

The interface implemented by applications to handle error, informational and progress messages. More...

## Public Attributes
int(* | handle_error )(WT_EVENT_HANDLER *handler, WT_SESSION *session, int error, const char *message)
| Callback to handle error messages; by default, error messages are written to the stderr stream. More...
int(* | handle_message )(WT_EVENT_HANDLER *handler, WT_SESSION *session, const char *message)
| Callback to handle informational messages; by default, informational messages are written to the stdout stream. More...
int(* | handle_progress )(WT_EVENT_HANDLER *handler, WT_SESSION *session, const char *operation, uint64_t progress)
| Callback to handle progress messages; by default, progress messages are not written. More...
int(* | handle_close )(WT_EVENT_HANDLER *handler, WT_SESSION *session, WT_CURSOR *cursor)
| Callback to handle automatic close of a WiredTiger handle. More...

## Detailed Description

The interface implemented by applications to handle error, informational and progress messages.

Entries set to NULL are ignored and the default handlers will continue to be used.

## Member Data Documentation

## ◆ handle_close

int(* WT_EVENT_HANDLER::handle_close) (WT_EVENT_HANDLER *handler, WT_SESSION *session, WT_CURSOR *cursor)

Callback to handle automatic close of a WiredTiger handle.

Close handler returns are not ignored: if the handler returns non-zero, the error may cause the WiredTiger function posting the event to fail, and may even cause operation or library failure.

Parameters

  session | The session handle that is being closed if the cursor parameter is NULL.
  cursor | The cursor handle that is being closed, or NULL if it is a session handle being closed.

## ◆ handle_error

int(* WT_EVENT_HANDLER::handle_error) (WT_EVENT_HANDLER *handler, WT_SESSION *session, int error, const char *message)

Callback to handle error messages; by default, error messages are written to the stderr stream.

See Message handling using the WT_EVENT_HANDLER for more information.

Errors that require the application to exit and restart will have their `error` value set to `WT_PANIC`. The application can exit immediately when `WT_PANIC` is passed to an event handler, there is no reason to return into WiredTiger.

Event handler returns are not ignored: if the handler returns non-zero, the error may cause the WiredTiger function posting the event to fail, and may even cause operation or library failure.

Parameters

  session | the WiredTiger session handle in use when the error was generated. The handle may have been created by the application or automatically by WiredTiger.
  error | a return value from a WiredTiger, ISO C, or POSIX standard API, which can be converted to a string using WT_SESSION::strerror
  message | an error string

## ◆ handle_message

int(* WT_EVENT_HANDLER::handle_message) (WT_EVENT_HANDLER *handler, WT_SESSION *session, const char *message)

Callback to handle informational messages; by default, informational messages are written to the stdout stream.

See Message handling using the WT_EVENT_HANDLER for more information.

Message handler returns are not ignored: if the handler returns non-zero, the error may cause the WiredTiger function posting the event to fail, and may even cause operation or library failure.

Parameters

  session | the WiredTiger session handle in use when the message was generated. The handle may have been created by the application or automatically by WiredTiger.
  message | an informational string

## ◆ handle_progress

int(* WT_EVENT_HANDLER::handle_progress) (WT_EVENT_HANDLER *handler, WT_SESSION *session, const char *operation, uint64_t progress)

Callback to handle progress messages; by default, progress messages are not written.

See Message handling using the WT_EVENT_HANDLER for more information.

Progress handler returns are not ignored: if the handler returns non-zero, the error may cause the WiredTiger function posting the event to fail, and may even cause operation or library failure.

Parameters

  session | the WiredTiger session handle in use when the progress message was generated. The handle may have been created by the application or automatically by WiredTiger.
  operation | a string representation of the operation
  progress | a counter